/*
 * File:   main.c
 * Author: Fred. Giamarchi
 *
 * Created on 26 janvier 2020, 12:00
 */

#include <xc.h>         // XC8 compilateur
#include <stdint.h>     // uint8_t dfinitions

#include "system.h"     // fichier des actions d'initialisation du C

uint8_t variable_8bits;     // exemple de dclaration d'une variable 8 bits non signe
uint16_t variable_16bits;   // exemple de dclaration d'une variable 16 bits non signe

void main(void)
{
/*  On initialise le microcontroleur */
    Init_System();
    
/*  Cration d'une boucle infinie indispensable !!! */
    while (1)
    {
        __delay_ms(200);    // Temporisation de 200ms
        DEL_ROUGE = 1;      // Del rouge allume
        __delay_ms(200);    // Temporisation de 200ms
        DEL_ROUGE = 0;      // Del rouge teinte
    }
}