#include <xc.h>     // XC8 compilateur
#include <stdint.h> // uint8_t dfinitions

#include "system.h"

// Fonction d'initialisation du microcontroleur
void Init_System(void)
{
// Oscillateur configur en 32MHz
    OSCCON = 0x70;
// Toutes les lignes analogiques sont bloques
    ANSELA = 0x00;
    ANSELB = 0x00;
// Toutes les registres des ports A et B sont initialises  0;
    LATA = 0x00;
    LATB = 0x00;
// Toutes les lignes des ports A et B sont configures en entre
    TRISA = 0xFF;
    TRISB = 0xFF;

/*  TODO 3 -> Configurations des lignes en entre ou en sortie */
    
    DIR_DEL_ROUGE = 0;      // La ligne o est relie la Del rouge est configure en sortie
    DIR_BP = 1;             // La ligne du bouton poussoir (BP) est dfinie en entre
    
/*  TODO 4 -> Donner un tat par dfaut pour les lignes qui sont dfinies en sortie */
    
    DEL_ROUGE = 0;          // La Del rouge est teinte
    
}

/*  Fonction de contrle des 3 Dels (rouge, jaune et verte) */

void Set_Dels (uint8_t couleur)
{
/*  TODO 5 -> Ecrire ici votre code pour allumer les Dels en focntion du paramtre 8 bits "couleur" */
    
    
    
}