/* 
 * File:   system.h
 * Author: Fred. Giamarchi
 *
 * Created on 26 janvier 2020, 12:00
 */

#ifndef SYSTEM_H
#define	SYSTEM_H

/*  Dclaration de la frquence de l'oscillateur */
#define _XTAL_FREQ 8000000 // Cette ligne permet d'utiliser les temporisations

//  Macros pour donner des noms explicites aux lignes

/*  TODO 1 -> Macros pour les lignes en sortie */
#define DEL_ROUGE LATB7
#define DIR_DEL_ROUGE TRISB7

/*  TODO 2 -> Macros pour les lignes en entre */
#define BP RB0
#define DIR_BP TRISB0

/*  Dclaration de la fonction d'initialisation du microcontroleur */
void Init_System(void);

/*  Dclaration d'une fonction de controle des Dels */
void Set_Dels (uint8_t couleur);

#endif	/* SYSTEM_H */

